List custom models
curl --request GET \
--url https://api.egp.scale.com/v5/models \
--header 'x-api-key: <api-key>'import requests
url = "https://api.egp.scale.com/v5/models"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.egp.scale.com/v5/models', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.egp.scale.com/v5/models",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.egp.scale.com/v5/models"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.egp.scale.com/v5/models")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.egp.scale.com/v5/models")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"items": [
{
"id": "<string>",
"name": "<string>",
"model_type": "generic",
"model_vendor": "openai",
"status": "failed",
"created_at": "2023-11-07T05:31:56Z",
"created_by_user_id": "<string>",
"created_by_identity_type": "user",
"object": "model",
"vendor_configuration": {
"model_image": {
"registry": "<string>",
"repository": "<string>",
"tag": "<string>",
"command": [
"<string>"
],
"predict_route": "/predict",
"streaming_predict_route": "<string>",
"streaming_command": [
"<string>"
],
"request_schema": {},
"response_schema": {},
"env_vars": {},
"readiness_delay": 120,
"healthcheck_route": "/readyz"
},
"model_infra": {
"endpoint_type": "sync",
"cpus": 3,
"gpus": 0,
"gpu_type": "nvidia-tesla-t4",
"memory": "8Gi",
"storage": "16Gi",
"min_workers": 0,
"max_workers": 1,
"per_worker": 10,
"high_priority": false,
"labels": {},
"public_inference": false
}
},
"status_reason": "<string>",
"model_metadata": {},
"model_availability": "unknown"
}
],
"total": 123,
"has_more": true,
"object": "list",
"limit": 100
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Models
List custom models
List the custom model records registered in your account.
Returns a paginated list of the model records managed through this API — models your account deploys through the launch or llmengine serving vendors — optionally filtered by name and by model vendor, and scoped to the caller’s account. This is different from GET /v5/chat/completions/models, which lists the models available to invoke for chat completions; this endpoint returns the managed records along with their deployment status, not the catalog of callable completion models.
GET
/
v5
/
models
List custom models
curl --request GET \
--url https://api.egp.scale.com/v5/models \
--header 'x-api-key: <api-key>'import requests
url = "https://api.egp.scale.com/v5/models"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.egp.scale.com/v5/models', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.egp.scale.com/v5/models",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.egp.scale.com/v5/models"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.egp.scale.com/v5/models")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.egp.scale.com/v5/models")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"items": [
{
"id": "<string>",
"name": "<string>",
"model_type": "generic",
"model_vendor": "openai",
"status": "failed",
"created_at": "2023-11-07T05:31:56Z",
"created_by_user_id": "<string>",
"created_by_identity_type": "user",
"object": "model",
"vendor_configuration": {
"model_image": {
"registry": "<string>",
"repository": "<string>",
"tag": "<string>",
"command": [
"<string>"
],
"predict_route": "/predict",
"streaming_predict_route": "<string>",
"streaming_command": [
"<string>"
],
"request_schema": {},
"response_schema": {},
"env_vars": {},
"readiness_delay": 120,
"healthcheck_route": "/readyz"
},
"model_infra": {
"endpoint_type": "sync",
"cpus": 3,
"gpus": 0,
"gpu_type": "nvidia-tesla-t4",
"memory": "8Gi",
"storage": "16Gi",
"min_workers": 0,
"max_workers": 1,
"per_worker": 10,
"high_priority": false,
"labels": {},
"public_inference": false
}
},
"status_reason": "<string>",
"model_metadata": {},
"model_availability": "unknown"
}
],
"total": 123,
"has_more": true,
"object": "list",
"limit": 100
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Query Parameters
Response
Successful Response

